%define upstream_name    Encode-Newlines
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Normalize line ending sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode::Encoding)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides the 'CR', 'LF', 'CRLF' and 'Native' encodings, to aid
in normalizing line endings.

It converts whatever line endings the source uses to the designated newline
sequence, for both 'encode' and 'decode' operations.

If you specify two different line endings joined by a '-', it will use the
first one for decoding and the second one for encoding. For example, the
'LF-CRLF' encoding means that all input should be normalized to 'LF', and
all output should be normalized to 'CRLF'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.50.0-3pclos2017
- rebuild against updates

